Yakkety desktop fails to start

Bug #1615341 reported by Kev Bowring on 2016-08-21
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Critical
Iain Lane

Bug Description

Following a set of updates (attached) Saturday 20th I lost a working desktop.

Further to that dailies for Xubuntu and Mate both fail to start a working desktop either by:

1 - booting Try option from the first menu
2 - booting Try option from the Try/Install dialogue
3 - logging into installed system

For Xubuntu (both locally and in installed daily)

Changing the Exec line in /usr/share/xsessions/xubuntu.desktop from

Exec=/usr/share/xfce4/scripts/run-systemd-session xubuntu-session.target

to

Exec=startxfce4 and my normal desktop runs again.

(Found all this out after I reported bug 1615338, which I've now marked invalid)

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: systemd 231-4
ProcVersionSignature: Ubuntu 4.6.0-10.12-generic 4.6.5
Uname: Linux 4.6.0-10-generic x86_64
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
CurrentDesktop: XFCE
Date: Sun Aug 21 08:59:13 2016
InstallationDate: Installed on 2016-06-11 (70 days ago)
InstallationMedia: Xubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160611)
MachineType: NOVATECH LTD MBB-44608
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.6.0-10-generic root=UUID=246fbeaf-5feb-4078-9c56-10a03b4fafa1 ro quiet splash
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/19/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F5
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H81M-DS2V
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: 7383241-001
dmi.chassis.type: 3
dmi.chassis.vendor: NOVATECH LTD
dmi.chassis.version: V1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF5:bd06/19/2014:svnNOVATECHLTD:pnMBB-44608:pvrV1.0:rvnGigabyteTechnologyCo.,Ltd.:rnH81M-DS2V:rvrTobefilledbyO.E.M.:cvnNOVATECHLTD:ct3:cvrV1.0:
dmi.product.name: MBB-44608
dmi.product.version: V1.0
dmi.sys.vendor: NOVATECH LTD
modified.conffile..etc.systemd.journald.conf: [modified]
mtime.conffile..etc.systemd.journald.conf: 2016-07-21T07:46:55.198735

Kev Bowring (flocculant) wrote :
Kev Bowring (flocculant) on 2016-08-21
tags: added: mate xubuntu
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1615341

tags: added: iso-testing
Kev Bowring (flocculant) wrote :

attached systemd graphical session log just in case

Iain Lane (laney) wrote :

It's because RefuseManualStart=yes is in graphical-session-pre.target. The run-* scripts start graphical-session-pre.target explicitly, because https://github.com/systemd/systemd/issues/3750 means that it doesn't work properly wrt. ordering if you just start the end .target.

I'm guessing this should be =no until that bug is fixed.

Iain Lane (laney) wrote :

I'm going to upload a patch which removes RefuseManualStart=yes, because this breaks session startup. If there's a better fix, it can be done as a followup.

Changed in systemd (Ubuntu):
assignee: nobody → Iain Lane (laney)
importance: Undecided → Critical
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 231-4ubuntu1

---------------
systemd (231-4ubuntu1) yakkety; urgency=medium

  * debian/patches/units-graphical-session-pre-dont-refusemanualstart.patch:
    Add a new patch to let graphical-session-pre.target be manually started
    for now (LP: #1615341)

 -- Iain Lane <email address hidden> Sun, 21 Aug 2016 13:46:28 +0100

Changed in systemd (Ubuntu):
status: In Progress → Fix Released
vmc (vmclark) on 2016-08-22
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.